Bug 402431 - iSCSI authentication during kickstart does not work
Summary: iSCSI authentication during kickstart does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-28 09:22 UTC by Tim Verhoeven
Modified: 2009-01-20 21:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:37:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to enable authentication for iscsi targets in kickstart mode (1.52 KB, patch)
2007-11-28 09:22 UTC, Tim Verhoeven
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0164 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2009-01-20 16:05:24 UTC

Description Tim Verhoeven 2007-11-28 09:22:56 UTC
Description of problem:
The kickstart section of the Installation guide mentions for the iscsi option
the use of a username and password. But this does not work, when specifying a
username and password in the kickstart file the login to the target still does
not work.

Version-Release number of selected component (if applicable):
anaconda-11.1.2.87-1.el5

How reproducible:
Everytime

Steps to Reproduce:
1. Create a kickstart file to install onto a iscsi target that is secured with a
username and password
2. Start the installation using the kickstart file
  
Actual results:
The login to the target fails.

Expected results:
That the login succeeds.

Additional info:
Attached is a patch that fixes this, it sets the username and password of the
target before attempting a login. This only fixes the kickstart part of
anaconda. For GUI installs the case of a username and password still needs to be
handled.

Comment 1 Tim Verhoeven 2007-11-28 09:22:56 UTC
Created attachment 271111 [details]
Patch to enable authentication for iscsi targets in kickstart mode

Comment 2 RHEL Program Management 2008-06-12 20:29:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Peter Jones 2008-09-08 18:16:52 UTC
This should be fixed in git's "rhel5-branch", and will be included in 11.1.2.122 .

Comment 6 Alexander Todorov 2008-11-12 08:33:00 UTC
Tim,
a fix for this issue should be in RHEL5.3 Beta available on RHN. Are you willing/able to test if this has been fixed.

Thanks.

Comment 7 Tim Verhoeven 2008-11-12 08:59:38 UTC
I'm a bit busy at the moment, but I'll try to test the 5.3 beta. No ETA unfortunately.

Regards.

Comment 9 errata-xmlrpc 2009-01-20 21:37:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html


Note You need to log in before you can comment on or make changes to this bug.